common_type.hpp File Reference

## Classes

struct | ranges::v3::basic_common_reference< T, U, TQual, UQual >
| Users can specialize this to hook the `CommonReference` concept. More...
struct | ranges::v3::common_reference< Ts >
| Users can specialize this to hook the `CommonReference` concept. More...
struct | ranges::v3::common_reference< T >
struct | ranges::v3::common_reference< T, U >
struct | ranges::v3::common_reference< T, U, Vs... >
struct | ranges::v3::common_type< Ts >
| Users should specialize this to hook the `Common` concept until `std` gets a SFINAE-friendly `std::common_type` and there's some sane way to deal with cv and ref qualifiers. More...
struct | ranges::v3::common_type< T >
struct | ranges::v3::common_type< T, U >
struct | ranges::v3::common_type< T, U, Vs... >
class | std::tuple< Ts >